<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: types_management.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
| Original file: article_cats.php (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."comments_management/infusion_db.php";

if (!checkrights("CM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."comments_management/locale/".$settings['locale'].".php")) {
	include INFUSIONS."comments_management/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."comments_management/locale/English.php";
}

if (isset($_GET['status'])) {
	if ($_GET['status'] == "sn") {
		$message = $locale['TM_410'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['TM_411'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['TM_412'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_POST['save'])) {
	$error = "";
	$acr = stripinput($_POST['acr']);
	$title = stripinput($_POST['title']);
	$db = stripinput($_POST['db']);
	$pre = stripinput($_POST['pre']);
	$item = stripinput($_POST['item']);
	$name = stripinput($_POST['name']);
	if (isset($_POST['ctype']) && preg_check("/^[0-9A-Z]+$/i", $_POST['ctype'])) {
		$result = dbquery("SELECT * FROM ".DB_CTYPES." WHERE ctype_acr='".$_POST['ctype']."' LIMIT 1");
		if (dbrows($result)) {
			$data = dbarray($result);
			$result = dbquery("UPDATE ".DB_CTYPES." SET ctype_title='$title', ctype_db='$db', ctype_pre='$pre', ctype_item='$item', ctype_name='$name' WHERE ctype_acr='".$_POST['ctype']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} elseif (preg_check("/^[0-9A-Z]+$/i", $acr)) {
		$result = dbquery("INSERT INTO ".DB_CTYPES." (ctype_acr, ctype_name, ctype_item, ctype_db, ctype_title, ctype_pre) VALUES ('$acr', '$name', '$item', '$db', '$title', '$pre')");
		redirect(FUSION_SELF.$aidlink."&status=sn");
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else if (isset($_GET['action']) && $_GET['action']=="del" && (isset($_GET['ctype']) && preg_check("/^[0-9A-Z]+$/i", $_GET['ctype']))) {
	$result = dbquery("SELECT ctype_acr FROM ".DB_CTYPES." WHERE ctype_acr='".$_GET['ctype']."' LIMIT 1");
	if (dbrows($result)) {
		$result = dbquery("DELETE FROM ".DB_CTYPES." WHERE ctype_acr='".$_GET['ctype']."'");
		redirect(FUSION_SELF.$aidlink."&status=del");
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else {
	if (isset($_GET['action']) && $_GET['action']=="edit" && (isset($_GET['ctype']) && preg_check("/^[0-9A-Z]+$/i", $_GET['ctype']))) {
		$result = dbquery("SELECT * FROM ".DB_CTYPES." WHERE ctype_acr='".$_GET['ctype']."' LIMIT 1");
		if (dbrows($result)) {
			$data = dbarray($result);
			$acr = $data['ctype_acr'];
			$name = $data['ctype_name'];
			$item = $data['ctype_item'];
			$db = $data['ctype_db'];
			$title = $data['ctype_title'];
			$pre = $data['ctype_pre'];
		}
		$ttitle = $locale['TM_402'];
	} else {
		$acr = "";
		$name = "";
		$item = "";
		$db = "";
		$title = "";
		$pre = "";
		$ttitle = $locale['TM_401'];
	}
	opentable($ttitle);
	echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['TM_430']."</td>\n";
	echo "<td width='80%' class='tbl'><input type='text' name='acr' value='".$acr."' class='textbox' style='width: 250px' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['TM_431']."</td>\n";
	echo "<td width='80%' class='tbl'><input type='text' name='name' value='".$name."' class='textbox' style='width: 250px' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['TM_432']."</td>\n";
	echo "<td width='80%' class='tbl'><input type='text' name='item' value='".$item."' class='textbox' style='width: 250px' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['TM_433']."</td>\n";
	echo "<td width='80%' class='tbl'><input type='text' name='db' value='".$db."' class='textbox' style='width: 250px' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['TM_434']."</td>\n";
	echo "<td width='80%' class='tbl'><input type='text' name='title' value='".$title."' class='textbox' style='width: 250px' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['TM_435']."</td>\n";
	echo "<td width='80%' class='tbl'><input type='text' name='pre' value='".$pre."' class='textbox' style='width: 250px' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'><br />\n";
	if (isset($_GET['action']) && $_GET['action']=="edit" && (isset($_GET['ctype']) && preg_check("/^[0-9A-Z]+$/i", $_GET['ctype']))) {
		echo "<input type='hidden' name='ctype' value='".$acr."' />\n";
	}
	echo "<input type='submit' name='save' value='".$locale['TM_437']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();
}

opentable($locale['TM_400']);
echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n";
$result = dbquery("SELECT ctype_acr, ctype_name FROM ".DB_CTYPES." ORDER BY ctype_acr");
if (dbrows($result) != 0) {
	$i = 0;
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale['TM_440']."</td>\n";
	echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['TM_441']."</td>\n";
	echo "</tr>\n";
	while ($data = dbarray($result)) {
		$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo "<tr>\n";
		echo "<td class='$cell_color'><strong>".$data['ctype_name']."</strong>\n";
		echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;&amp;ctype=".$data['ctype_acr']."'>".$locale['TM_420']."</a> -\n";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=del&amp;ctype=".$data['ctype_acr']."' onclick=\"return confirm('".$locale['TM_442']."');\">".$locale['TM_421']."</a></td>\n";
		echo "</tr>\n";
		$i++;
	}
	echo "</table>\n";
} else {
	echo "<tr><td align='center' class='tbl1'>".$locale['TM_443']."</td></tr>\n</table>\n";
}
closetable();
opentable($locale['TM_445']);
echo $locale['TM_444'];
closetable();

require_once THEMES."templates/footer.php";
?>