jQuery(function() {

	jQuery(".cball").click(function() {
		if (this.checked == false) {
			check = false;
		} else {
			check = true;
		}
		jQuery(".cb").each(function() {
			if (check) {
				this.checked = true;
			} else {
				this.checked = false;
			}
		});
	});
	
	var aid = "aid=" + jQuery("#aid").val();
	
	jQuery(".options a").attr("href", "#");
	
	function options_init(id) {
	
		if (id !== 0) {
			id = "#comment-" + id + " ";
		} else {
			id = "";
		}
		
		jQuery(id + ".com_hide a").unbind('click').click(function() {
			var id = jQuery(this).attr("id").substring(4);
			jQuery.ajax({
				url: "comments_management.php",
				data: aid + "&comment_id=" + id + "&action=hide",
				type: "GET",
				success: function(msg) {
					if (msg == "hid") {
						jQuery("#comment-" + id + " td").attr("class", "tbl2");
					}
				}
			});
			return false;
		});
		
		jQuery(id + ".com_show a").unbind('click').click(function() {
			var id = jQuery(this).attr("id").substring(4);
			jQuery.ajax({
				url: "comments_management.php",
				data: aid + "&comment_id=" + id + "&action=show",
				type: "GET",
				success: function(msg) {
					if (msg == "sho") {
						jQuery("#comment-" + id + " td").attr("class", "tbl1");
					}
				}
			});
			return false;
		});
		
		jQuery(id + ".com_dele a").unbind('click').click(function() {
			if (confirm(jQuery("#confirmmsg").text())) {
				var id = jQuery(this).attr("id").substring(4);
				jQuery.ajax({
					url: "comments_management.php",
					data: aid + "&comment_id=" + id + "&action=dele",
					type: "GET",
					success: function(msg) {
						if (msg == "del") {
							jQuery("#comment-" + id).slideUp("slow", function() {jQuery(this).remove();});
						}
					}
				});
			}
			return false;
		});
		
		jQuery(id + ".com_repl a").unbind('click').click(function() {
			var id = jQuery(this).attr("id").substring(4);
			cancel();
			jQuery("#ajform").clone().insertAfter("#comment-" + id).attr("id", "replform").show();
			jQuery("#replform textarea").attr("name", "comment_message");
			jQuery("#replform .comment_id").val(id);
			btn_init();
			return false;
		});
		
		jQuery(id + ".com_edit a").unbind('click').click(function() {
			var id = jQuery(this).attr("id").substring(4);
			cancel();
			jQuery("#ajform").clone().insertAfter("#comment-" + id).attr("id", "editform").show();
			jQuery("#editform textarea").val(jQuery("#comment-" + id + " .comment_bb").text()).attr("name", "comment_message");
			jQuery("#editform .comment_id").val(id);
			jQuery("#comment-" + id).hide();
			btn_init();
			return false;
		});
	}
	
	function cancel() {
		jQuery("#editform, #replform").remove();
		jQuery(".comment").show();
	}
	
	function btn_init() {
		jQuery(".cnclbtn").unbind('click').click(function() {cancel();return false;});
		
		jQuery(".editbtn").unbind('click').click(function() {
			var id = jQuery("#editform .comment_id").val();
			jQuery.ajax({
				url: "comments_management.php?" + aid + "&comment_id=" + id,
				data: "save_comment=1&comment_message=" + jQuery("#editform textarea").val(),
				type: "POST",
				success: function(result) {
					if (result.status == "su") {
						jQuery("#comment-" + id + " .comment_html").html(result.message);
						jQuery("#comment-" + id + " .comment_bb").text(jQuery("#editform textarea").val());
						cancel();
					}
				}
			});
			return false;
		});
		
		jQuery(".replbtn").unbind('click').click(function() {
			var id = jQuery("#replform .comment_id").val();
			jQuery.ajax({
				url: "comments_management.php?" + aid + "&comment_id=" + id,
				data: "add_comment=1&comment_message=" + jQuery("#replform textarea").val(),
				type: "POST",
				success: function(result) {
					if (result.status == "sn") {
						jQuery("#comment-" + id).clone().insertAfter("#comment-" + id).attr("id", "comment-" + result.id);
						jQuery("#comment-" + result.id + " td").attr("class", "tbl1");
						jQuery("#comment-" + result.id + " .date").text(result.time);
						jQuery("#comment-" + result.id + " .user_info").html(jQuery("#user_info").html());
						jQuery("#comment-" + result.id + " .comment_html").html(result.message);
						jQuery("#comment-" + result.id + " .comment_bb").text(jQuery("#replform textarea").val());
						jQuery("#comment-" + result.id + " .com_edit a").attr("id", "edit" + result.id);
						jQuery("#comment-" + result.id + " .com_repl a").attr("id", "repl" + result.id);
						jQuery("#comment-" + result.id + " .com_hide a").attr("id", "hide" + result.id);
						jQuery("#comment-" + result.id + " .com_show a").attr("id", "show" + result.id);
						jQuery("#comment-" + result.id + " .com_dele a").attr("id", "dele" + result.id);
						options_init(result.id);
					}
					cancel();
				}
			});
			return false;
		});
	
	}
	
	options_init(0);

});