<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
| Original file: comments.php (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."comments_management/locale/".$settings['locale'].".php")) {
	include INFUSIONS."comments_management/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."comments_management/locale/English.php";
}

include INFUSIONS."comments_management/infusion_db.php";

$inf_title = $locale['CM_TITLE'];
$inf_description = $locale['CM_DESC'];
$inf_version = "2.00";
$inf_developer = "Khalid545";
$inf_email = "khalidd545@gmail.com";
$inf_weburl = "http://khalidb.co.cc/";

$inf_folder = "comments_management";

$inf_newtable[1] = DB_CTYPES." (
		ctype_acr varchar(4) NOT NULL DEFAULT '',
		ctype_name varchar(50) NOT NULL DEFAULT '',
		ctype_item varchar(50) NOT NULL DEFAULT '',
		ctype_db varchar(50) NOT NULL DEFAULT '',
		ctype_title varchar(50) NOT NULL DEFAULT '',
		ctype_pre varchar(50) NOT NULL DEFAULT '',
		PRIMARY KEY (ctype_acr)
    ) ENGINE=MyISAM;";
$inf_droptable[1] = DB_CTYPES;

$inf_adminpanel[1] = array(
	"title" => $locale['CM_ADMIN'],
	"image" => "shout.gif",
	"panel" => "comments_management.php",
	"rights" => "CM"
);
?>