<?php

// Do not translate the following line. Set it to "ltr" for left to right languages and "rtl" for right to left languages
$locale['CM_DIRECTION'] = "ltr";

// Infusion titles & description
$locale['CM_TITLE'] = "Comments Management";
$locale['CM_DESC'] = "Allow to manage comments from the control panel";
$locale['CM_ADMIN'] = "Comments Management";

// Comments titles
$locale['CM_400'] = "Edit Comment";
$locale['CM_401'] = "Comments Management";
$locale['CM_402'] = "Add reply";

// Comments messages
$locale['sn'] = "Comment added";
$locale['su'] = "Comment updated";
$locale['del'] = "Comment deleted";
$locale['sho'] = "Comment published";
$locale['hid'] = "Comment hidden";
$locale['mdel'] = "Checked comments deleted";
$locale['msho'] = "Checked comments published";
$locale['mhid'] = "Checked comments hidden";

// Edit Comment form
$locale['CM_420'] = "Disable smileys in this comment";
$locale['CM_421'] = "Save Comment";

// Comments
$locale['CM_430'] = "Edit";
$locale['CM_431'] = "Delete";
$locale['CM_432'] = "User IP";
$locale['CM_433'] = "Delete this comment?";
$locale['CM_434'] = "[Comments Types Management]";
$locale['CM_435'] = "Reply";
$locale['CM_436'] = "Publish";
$locale['CM_437'] = "Hide";
$locale['CM_438'] = "Bulk Actions";
$locale['CM_439'] = "Apply";
$locale['CM_440'] = "Author";

$locale['CM_441'] = array(
	0 => "There are no comments.",
	1 => " Comment",
	2 => " Comments");
	
$locale['CM_442'] = array(
	"N" => "News",
	"A" => "Articles",
	"P" => "Photogallery",
	"C" => "Custom Pages",
	"D" => "Downloads");
	
$locale['CM_443'] = array(
	"N" => "News Subject",
	"A" => "Article Subject",
	"P" => "Photo Title",
	"C" => "Page Title",
	"D" => "File");

$locale['CM_444'] = "Comments";
$locale['CM_445'] = "Comment";
$locale['CM_446'] = "Misc";
$locale['CM_447'] = "Section";
$locale['CM_448'] = "Comments in the same page";
$locale['CM_449'] = "Date";
$locale['CM_451'] = "ASC";
$locale['CM_452'] = "DESC";
$locale['CM_453'] = "Order by: ";
$locale['CM_454'] = "Reply";
$locale['CM_455'] = "Cancel";
$locale['CM_456'] = "Browse by section";
$locale['CM_457'] = "Browse by page";
$locale['CM_458'] = "Comment status";
$locale['CM_459'] = "Unknown";
$locale['CM_460'] = "Comments per page: ";

// Types Management
$locale['TM_400'] = "Added comments types";
$locale['TM_401'] = "New type";
$locale['TM_402'] = "Edit type";
$locale['TM_410'] = "Comment type added";
$locale['TM_411'] = "Comment type updated";
$locale['TM_412'] = "Comment type deleted";
$locale['TM_420'] = "Edit";
$locale['TM_421'] = "Delete";
$locale['TM_430'] = "Acronym:";
$locale['TM_431'] = "Name:";
$locale['TM_432'] = "Item name:";
$locale['TM_433'] = "MySQL Table Name:";
$locale['TM_434'] = "Title Field Name:";
$locale['TM_435'] = "Fields Prefix:";
$locale['TM_437'] = "Save";
$locale['TM_440'] = "Type";
$locale['TM_441'] = "Options";
$locale['TM_442'] = "Delete this type?";
$locale['TM_443'] = "There are no comments types.";
$locale['TM_444'] = "<p>
- <strong>Acronym:</strong> Composed of 2 characters at least. You can find it in the parameters of the showcomments function in the infusions files.<br />
- <strong>Name:</strong> The name of the infusion or the section where comments are added. Ex: E-book library.<br />
- <strong>Item name:</strong> The name of one item . Ex: E-book.<br />
- <strong>DB table name:</strong> The name of MySQL table where items' data is inserted (Without the DB prefix). Ex: book_items (not fusion_book_items)<br />
- <strong>Title field:</strong> The name of the field that contains the title of items (Without table prefix). Ex: title (not book_title)<br />
- <strong>Fields prefix:</strong> Fields prefix in items DB Table. Ex: news_, page_<br />
</p>";
$locale['TM_445'] = "Usage";
?>